Skip to main content
Tickets

List tickets

Returns a list of tickets in your organization using cursor-based pagination.

GET
/v2/tickets

Query Parameters

ParameterTypeDescription
limitnumberNumber of tickets to return (1-100, default 10)
cursorstringCursor from previous response for pagination
ticketCategoryIdsstring[]Filter by ticket category IDs
statusIdsstring[]Filter by status IDs
qstringSearch query
assigneeIdstringFilter by assignee ID
categoryTypestringFilter by category type: "customer", "tracker", or "back-office"
sortBystringSort field: "date" (default), "recent", or "ticketNumber"
sortOrderstringSort direction: "asc" or "desc" (default)

Response

Returns a list object with data (array of ticket objects) and nextCursor.

Authorizationstringheaderrequired

API key as Bearer token. Use: Authorization: Bearer sk_...

limitintegerquerydefault:10
Required range: 1 <= x <= 100
cursorstringquery

An opaque cursor for pagination. Use the nextCursor value from a previous response to fetch the next page of results.

Maximum string length: 512
Example: eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9
ticketCategoryIdsstring[]query
statusIdsstring[]query
qstringquery
assigneeIdstringquery
categoryTypeenum<string>query
Available options: customer, tracker, back-office
sortByenum<string>querydefault:date
Available options: date, recent, ticketNumber
sortOrderenum<string>querydefault:desc
Available options: asc, desc
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Available options: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Example: 2026-08-19.orbit

Response

application/json

Success

dataobject[]required

Array of tickets

nextCursorstring | nullrequired

Cursor for fetching the next page

Maximum string length: 512
Example: eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9
objectenum<string>required

Object type identifier

Available options: list
Example: list